org.jbpm.executor

## Class ExecutorServiceFactory

- java.lang.Object
- - org.jbpm.executor.ExecutorServiceFactory

-     public class ExecutorServiceFactory
      extends Object

  Creates singleton instance of `ExecutorService` that shall be used outside of CDI environment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorServiceFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExecutorRunnable` | `buildRunable(javax.persistence.EntityManagerFactory emf, ExecutorEventSupport eventSupport)`
    `static ExecutorRunnable` | `buildRunable(ExecutorEventSupport eventSupport)`
    `static org.kie.api.executor.ExecutorService` | `newExecutorService()`
    `static org.kie.api.executor.ExecutorService` | `newExecutorService(javax.persistence.EntityManagerFactory emf)`
    `static void` | `resetExecutorService(org.kie.api.executor.ExecutorService executorService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorServiceFactory

          public ExecutorServiceFactory()

  - ### Method Detail

    - #### newExecutorService

          public static org.kie.api.executor.ExecutorService newExecutorService(javax.persistence.EntityManagerFactory emf)

    - #### newExecutorService

          public static org.kie.api.executor.ExecutorService newExecutorService()

    - #### resetExecutorService

          public static void resetExecutorService(org.kie.api.executor.ExecutorService executorService)

    - #### buildRunable

          public static ExecutorRunnable buildRunable(javax.persistence.EntityManagerFactory emf,
                                                      ExecutorEventSupport eventSupport)

    - #### buildRunable

          public static ExecutorRunnable buildRunable(ExecutorEventSupport eventSupport)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.